Symbology - Size assistant bug

2015-09-13 07:57 AM - dietmar offenhuber

Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Symbology

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21405

Description

The excellent Size assistant dialogue for setting data-driven symbology properties generates an expression where the field name is not

set into quotation marks. This causes the expression to not work. manually editing the expression, or adding quotation marks to the name

of the field in the assistant is a workaround.

History

#1 - 2015-09-13 09:45 AM - Regis Haubourg

- Assignee set to Vincent Mora

Hi Vincent, could you check that issue? 

Régis

#2 - 2015-09-16 03:25 PM - Saber Razmjooei

- Category set to Symbology

#3 - 2015-09-23 06:08 AM - Vincent Mora

Hi Saber, thank for the report and sorry for the delay,

When do you witness the bug ? When the field name contains spaces ?

#4 - 2015-09-23 07:14 AM - Vincent Mora

- Assignee changed from Vincent Mora to Denis Rouzaud

If the bug is with spaces, then the problem comes from QgsFieldModel and is propagated to QgsFieldExpressionWidget, it is also there when using e.g. the

expression widget in classified symbology.

I wonder if QgsVectorLayers::fields() should add the quotes or if it should be done later (e.g. in QgsFieldModel or in QgsFieldExpressionWidget).

Denis: what do you think ?

#5 - 2016-04-10 06:03 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed
This was fixed in 2.14
